export default annulus;
export type AnnulusOptions = {
    radius?: number;
    segments?: number;
    theta?: number;
    innerRadius?: number;
    innerSegments?: number;
};
/**
 * @typedef {Object} AnnulusOptions
 * @property {number} [radius=0.5]
 * @property {number} [segments=32]
 * @property {number} [theta=TAU]
 * @property {number} [innerRadius=radius * 0.5]
 * @property {number} [innerSegments=1]
 */
/**
 * @alias module:annulus
 * @param {AnnulusOptions} [options={}]
 * @returns {import("../types.js").BasicSimplicialComplex}
 */
declare function annulus({ radius, segments, theta, innerRadius, innerSegments, }?: AnnulusOptions, ...args: any[]): import("../types.js").BasicSimplicialComplex;
