export default disc;
export type DiscOptions = {
    radius?: number;
    segments?: number;
    theta?: number;
};
/**
 * @typedef {Object} DiscOptions
 * @property {number} [radius=0.5]
 * @property {number} [segments=32]
 * @property {number} [theta=TAU]
 */
/**
 * @alias module:disc
 * @param {DiscOptions} [options={}]
 * @returns {import("../types.js").BasicSimplicialComplex}
 */
declare function disc({ radius, segments, theta }?: DiscOptions, ...args: any[]): import("../types.js").BasicSimplicialComplex;
