export default ellipsoid;
export type EllipsoidOptions = {
    radius?: number;
    nx?: number;
    ny?: number;
    rx?: number;
    rz?: number;
    theta?: number;
    phi?: number;
};
/**
 * @typedef {Object} EllipsoidOptions
 * @property {number} [radius=0.5]
 * @property {number} [nx=32]
 * @property {number} [ny=16]
 * @property {number} [rx=1]
 * @property {number} [rx=0.5]
 * @property {number} [rz=ry]
 * @property {number} [theta=Math.PI]
 * @property {number} [phi=TAU]
 */
/**
 * Default to an oblate spheroid.
 * @alias module:ellipsoid
 * @param {EllipsoidOptions} [options={}]
 * @returns {import("../types.js").SimplicialComplex}
 */
declare function ellipsoid({ radius, nx, ny, rx, ry, rz, theta, phi, }?: EllipsoidOptions, ...args: any[]): import("../types.js").SimplicialComplex;
