export default sphere;
export type SphereOptions = {
    radius?: number;
    nx?: number;
    ny?: number;
    theta?: number;
    phi?: number;
};
/**
 * @typedef {Object} SphereOptions
 * @property {number} [radius=0.5]
 * @property {number} [nx=32]
 * @property {number} [ny=16]
 * @property {number} [theta=Math.PI]
 * @property {number} [phi=TAU]
 */
/**
 * @alias module:sphere
 * @param {SphereOptions} [options={}]
 * @returns {import("../types.js").SimplicialComplex}
 */
declare function sphere({ radius, nx, ny, theta, phi }?: SphereOptions, ...args: any[]): import("../types.js").SimplicialComplex;
